System.Design 1.0.5000.0 2.0.0.0 System.Drawing.Design.UITypeEditor

is a that provides a dialog for selecting an XML file for a file name property.

Provides a user interface for selecting an XML file using a standard box.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` ``

  A service provider is provided so that any required editing services can be obtained.

  Edits the value of the specified object using the specified service provider and context.

  The new value of the object. If the value of the object has not changed, this method should return the same object it was passed.

  An that can be used to gain additional context information. A service provider object through which editing services may be obtained. An instance of the value being edited. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.UITypeEditorEditStyle `` To be added.

  Gets the editing style associated with this editor, using the specified object.

  A enumeration value indicating the provided editing style. If the method is not supported in the specified context, this will return the identifier.

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0